xine-lib: vdpau_overlay_t Struct Reference

xine-lib 1.2.12

Data Fields
vdpau_overlay_t Struct Reference

## Data Fields
int | x
int | y
int | width
int | height
int | video_window_x
int | video_window_y
int | video_window_width
int | video_window_height
int | extent_width
int | extent_height
int | unscaled
int | use_dirty_rect
vo_overlay_t * | ovl
vdpau_output_surface_t | render_surface

## Field Documentation

## ◆ extent_height

int vdpau_overlay_t::extent_height

Referenced by vdpau_overlay_blend(), and vdpau_process_overlays().

## ◆ extent_width

int vdpau_overlay_t::extent_width

Referenced by vdpau_overlay_blend(), and vdpau_process_overlays().

## ◆ height

int vdpau_overlay_t::height

Referenced by vdpau_overlay_blend(), vdpau_overlay_end(), and vdpau_process_overlays().

## ◆ ovl

vo_overlay_t* vdpau_overlay_t::ovl

Referenced by vdpau_overlay_blend(), and vdpau_overlay_end().

## ◆ render_surface

vdpau_output_surface_t vdpau_overlay_t::render_surface

Referenced by vdpau_dispose(), vdpau_overlay_blend(), vdpau_overlay_end(), and vdpau_process_overlays().

## ◆ unscaled

int vdpau_overlay_t::unscaled

Referenced by vdpau_overlay_blend(), and vdpau_process_overlays().

## ◆ use_dirty_rect

int vdpau_overlay_t::use_dirty_rect

Referenced by vdpau_overlay_blend(), and vdpau_overlay_end().

## ◆ video_window_height

int vdpau_overlay_t::video_window_height

Referenced by vdpau_overlay_blend(), and vdpau_process_overlays().

## ◆ video_window_width

int vdpau_overlay_t::video_window_width

Referenced by vdpau_overlay_blend(), and vdpau_process_overlays().

## ◆ video_window_x

int vdpau_overlay_t::video_window_x

Referenced by vdpau_overlay_blend(), and vdpau_process_overlays().

## ◆ video_window_y

int vdpau_overlay_t::video_window_y

Referenced by vdpau_overlay_blend(), and vdpau_process_overlays().

## ◆ width

int vdpau_overlay_t::width

Referenced by vdpau_overlay_blend(), vdpau_overlay_end(), and vdpau_process_overlays().

## ◆ x

int vdpau_overlay_t::x

Referenced by vdpau_overlay_blend(), and vdpau_process_overlays().

## ◆ y

int vdpau_overlay_t::y

Referenced by vdpau_overlay_blend(), and vdpau_process_overlays().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/video_out/video_out_vdpau.c